signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SystemCommandLineCallHandler Class Reference

Handles calls to system command line tools. More...

`#include <crypto-handlers.h>`

Inheritance diagram for SystemCommandLineCallHandler:
[legend]
Collaboration diagram for SystemCommandLineCallHandler:
[legend]

## Public Member Functions
| SystemCommandLineCallHandler ()
| Basic constructor. More...
| ~SystemCommandLineCallHandler ()
| Destructor. More...
bool | makeCall (const QString &appPath, const QStringList &args, bool readOutput=false)
| Executes the application at appPath in a separate child process. More...
QByteArray | output () const

## Detailed Description

Handles calls to system command line tools.

Definition at line 44 of file crypto-handlers.h.

## Constructor & Destructor Documentation

SystemCommandLineCallHandler::SystemCommandLineCallHandler | ( |  | ) |

Basic constructor.

Definition at line 58 of file crypto-handlers.cpp.

SystemCommandLineCallHandler::~SystemCommandLineCallHandler | ( |  | ) |

Destructor.

Definition at line 64 of file crypto-handlers.cpp.

## Member Function Documentation

bool SystemCommandLineCallHandler::makeCall | ( | const QString & | appPath,
|  | const QStringList & | args,
|  | bool | readOutput = `false`
| ) |  |

Executes the application at appPath in a separate child process.

Parameters

  appPath | Path of the application to be executed.
  args | List of arguments for the executed application.
  readOutput | Flag whether to save or not the std::out output of the executed application.

Returns
  true upon success, false otherwise.

Definition at line 68 of file crypto-handlers.cpp.

References BLAME, SIGNON_EXTERNAL_PROCESS_READ_TIMEOUT, and TRACE.

Referenced by LosetupHandler::findAvailableDevice(), PartitionHandler::formatPartitionFile(), CryptsetupHandler::loadDmMod(), LosetupHandler::releaseDevice(), and LosetupHandler::setupDevice().

QByteArray SystemCommandLineCallHandler::output | ( |  | ) | const
| inline

Returns
  the raw untrimmed output of the last process called with makeCall and readOutput set to true

Definition at line 75 of file crypto-handlers.h.

Referenced by LosetupHandler::findAvailableDevice().

The documentation for this class was generated from the following files:

- src/extensions/cryptsetup/crypto-handlers.h
- src/extensions/cryptsetup/crypto-handlers.cpp